source: isenes/mpl_buildout/trunk/README @ 5449

Subversion URL: http://proj.badc.rl.ac.uk/svn/ndg/isenes/mpl_buildout/trunk/README@5449
Revision 5449, 729 bytes checked in by spascoe, 11 years ago (diff)

Noting dependencies I needed to install on my Ubuntu system before it worked

Line 
1=======================================
2Building MPL + basemap with zc.buildout
3=======================================
4
5This is an experiment in automating a Matplotlib build.  We want to
6guarantee the latest versions of MPL, basemap and numpy are used.
7
8General procedure
9=================
10
11 1. Download numpy
12 2. build numpy
13 3. Install numpy in a virtualenv
14 4. Make numpy egg
15 5. download matplotlib
16 6. build mpl eggwith numpy_venv
17 7. download basemap
18 8. build geos and install in a local directory
19 9. build basemap egg
20
21
22Requirements
23============
24 
25These dependencies are required by Matplotlib (Ubuntu packages in parentheses):
26 * python (python2.5-dev)
27 * freetype (libfreetype6-dev)
28 * png (libpng-dev)
29 * g++ (g++)
Note: See TracBrowser for help on using the repository browser.